@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap");

#ramadhan {
    font-family: "Roboto", sans-serif;
}

#ramadhan .top {
    padding: 100px 15px 130px;
    background: rgb(185, 1, 0);
    background: -moz-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: -webkit-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#b90100", endColorstr="#620000", GradientType=1);
    position: relative;
}

#ramadhan .top img {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
}

#ramadhan .top h1 {
    font-weight: 500;
    font-size: 60px;
    color: #fff;
    line-height: 60px;
    display: inline-block;
    position: relative;
    z-index: 100;
}

#ramadhan .top h1 .ln {
    position: relative;
}

#ramadhan .top h1 .ln:after {
    position: absolute;
    top: 50%;
    left: 100%;
    margin-left: 15px;
    width: 150px;
    height: 2px;
    content: " ";
    background: #fff;
    transform: translateY(-50%);
}

#ramadhan .items {
    position: relative;
    margin-top: -100px;
    padding-bottom: 100px;
}

#ramadhan .items .row {
}

#ramadhan .items .bg {
    position: absolute;
    top: 100px;
    bottom: 0;
    left: 0;
    width: 100%;
    background: rgb(185, 1, 0);
    background: -moz-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: -webkit-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#b90100", endColorstr="#620000", GradientType=1);
}

#ramadhan .items .bg:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 20px;
    background: #ffc540;
    content: " ";
}

#ramadhan .items .bg:before {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 20px;
    background: #ffc540;
    content: " ";
}

#ramadhan .items .bg > div {
    width: 100%;
    height: 100%;
    background-image: url(../img/natal2023/bg_repeat.png);
    background-position: top center;
    background-size: 100% auto;
    mix-blend-mode: overlay;
}

#ramadhan .items .item {
    margin-top: 30px;
}

#ramadhan .items .item .img {
    width: calc(100% - 30px);
    margin: 0 auto;
}

#ramadhan .items .item .img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#ramadhan .items .item a {
    text-decoration: none;
}

#ramadhan .items .item .img .frame {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: auto;
}

#ramadhan .items .item .txt {
    transform: translateY(-50%);
    background-image: url(../img/natal2023/title_frame.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    padding: 15px 18% 30px;
    position: relative;
}

#ramadhan .items .item .txt h6 {
    color: #fff;
    font-size: 0.6rem;
    position: relative;
    padding-top: 5px;
    font-weight: 300;
}

#ramadhan .items .item .txt h6:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 15px;
    height: 1px;
    background: #fff;
    content: " ";
}

#ramadhan .items .item .txt h2 {
    color: #ffc540;
    font-size: 1rem;
    font-weight: 500;
    margin-top: 5px;
}

#ramadhan .items .item .txt .btn {
    font-weight: 500;
    font-size: 0.6rem;
    color: #102a1f;
    padding: 5px 15px;
    background: #ffc540;
    border-radius: 15px;
    position: absolute;
    bottom: 0;
    right: 30px;
    transform: translateY(50%);
    text-transform: uppercase;
}

#ramadhan_view {
    background: rgb(185, 1, 0);
    background: -moz-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: -webkit-radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    background: radial-gradient(
        circle,
        rgba(185, 1, 0, 1) 0%,
        rgba(166, 0, 0, 1) 50%,
        rgba(98, 0, 0, 1) 100%
    );
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#b90100", endColorstr="#620000", GradientType=1);
    position: relative;
}

#ramadhan_view img {
    width: 100%;
}

#ramadhan_view .img .save_like {
    position: absolute;
    bottom: 15px;
    right: 20px;
    display: flex;
}

#ramadhan_view .img .save_like a {
    display: inline-block;
    height: 40px;
    width: 40px;
    color: #ff0005;
    background: #e7d6be;
    border-radius: 5px;
    font-size: 24px;
    position: relative;
}

#ramadhan_view .img .save_like a i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#ramadhan_view .img .save_like a.btnrate {
    display: flex;
    align-items: center;
    height: 40px;
    width: auto;
    color: #ff0005;
    background: #e7d6be;
    border-radius: 5px;
    font-size: 24px;
    position: relative;
    padding: 0 15px;
    margin-right: 5px;
}

#ramadhan_view .img .save_like a.btnrate > span {
    display: inline-block;
    height: 24px;
    width: 24px;
    line-height: 1px;
    position: relative;
}

#ramadhan_view .img .save_like a.btnrate > span img {
    height: 100%;
    width: 100%;
}

#ramadhan_view .img .save_like a.btnrate > span > span {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-mask-image: url(../img/star.svg);
    mask-image: url(../img/star.svg);
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
}

#ramadhan_view .img .save_like a.btnrate > span > span > span {
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: #ff0005;
}

#ramadhan_view .img .save_like a.btnrate > span.hover > span > span {
    width: 100% !important;
}

#ramadhan_view .top {
    position: relative;
}

#ramadhan_view .img {
    position: absolute;
    top: 46%;
    left: 23%;
    width: 54%;
    border: solid 1px #fff;
    border-radius: 30px;
    overflow: hidden;
}

#ramadhan_view .img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#ramadhan_view .img iframe {
    width: 100%;
    height: 100%;
}

#ramadhan_view .center {
    position: relative;
    background-image: url(../img/natal2023/bg_view_mobile_center.png);
    background-size: 100% auto;
}

#ramadhan_view .ctn {
    margin-left: 17%;
    width: 66%;
}

#ramadhan_view .ctn h6 {
    color: #fff;
    font-size: 0.8rem;
    position: relative;
    padding-top: 10px;
    font-weight: 300;
    display: inline-block;
}

#ramadhan_view .ctn h6:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: #fff;
    content: " ";
}

#ramadhan_view .ctn h1 {
    text-transform: uppercase;
    color: #fff;
    font-size: 1.5rem;
    font-weight: 900;
    margin-top: 15px;
}

#ramadhan_view .ctn h3 {
    color: #ffc540;
    font-size: 1.2rem;
    font-weight: 900;
    margin-top: 15px;
}

#ramadhan_view .ctn p {
    color: #fff;
    margin-top: 8px;
}

#ramadhan_view .ctn ol,
#ramadhan_view .ctn ol li,
#ramadhan_view .ctn ul,
#ramadhan_view .ctn ul li {
    margin-left: 0;
    padding-left: 0;
}

#ramadhan_view .ctn ol,
#ramadhan_view .ctn ul {
    margin-left: 1.3em;
    margin-bottom: 0;
    color: #fff;
    margin-top: 8px;
}

#ramadhan_view .ctn .nobul ul {
    padding-left: 0;
    list-style-type: none;
    margin-left: 0;
}

/* width */
#ramadhan_view .ctn::-webkit-scrollbar {
    width: 3px;
}

/* Track */
#ramadhan_view .ctn::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
#ramadhan_view .ctn::-webkit-scrollbar-thumb {
    background: #ffc540;
}

/* Handle on hover */
#ramadhan_view .ctn::-webkit-scrollbar-thumb:hover {
    background: #ffc540;
}

#ramadhan_view .ctn txt {
    margin-top: 15px;
}

#ramadhan_view .bottom {
    position: relative;
}

#ramadhan_view .share {
    position: absolute;
    top: 67%;
    left: 15%;
}

#ramadhan_view .share h3 {
    font-weight: 500;
    font-size: 0.6rem;
    color: #fff;
    padding: 5px 15px;
    background: #dd1f26;
    border-radius: 15px;
    text-transform: uppercase;
    display: inline-block;
}

#ramadhan_view .share a {
    display: inline-block;
    width: 30px;
    height: 30px;
    background: none !important;
    border: solid 1px #fff;
    color: #fff;
    border-radius: 50%;
    margin-top: 10px;
    position: relative;
    font-size: 18px;
}

#ramadhan_view .share a i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
}

#ramadhan_view .share a .at-icon-wrapper {
    width: auto !important;
    height: auto !important;
    line-height: unset !important;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

@media (orientation: portrait) {
    #ramadhan .top h1 {
        font-size: 36px;
        line-height: 36px;
    }

    #ramadhan .top h1 .ln:after {
        width: 50px;
    }

    #ramadhan .top img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: right top;
    }

    #ramadhan_view .img {
        border-radius: 15px;
    }

    #ramadhan_view .ctn h6 {
        font-size: 0.6rem;
        padding-top: 5px;
    }

    #ramadhan_view .ctn h1 {
        font-size: 1rem;
        margin-top: 10px;
    }

    #ramadhan_view .ctn h3 {
        font-size: 0.8rem;
        margin-top: 10px;
    }

    #ramadhan_view .ctn txt {
        font-size: 0.8rem;
        margin-top: 10px;
    }

    #ramadhan_view .share {
        top: 61%;
        left: 9%;
    }

    #ramadhan_view .share h3 {
        font-size: 0.5rem;
        padding: 5px 5px;
    }

    #ramadhan_view .share a {
        width: 20px;
        height: 20px;
        margin-top: 5px;
    }

    #ramadhan_view .share a svg {
        width: 15px !important;
        height: 15px !important;
    }
}
